Bug 1263600 - Review Request: perl-Log-Log4perl-Appender-Socket-UNIX - Log4perl appender for writing to UNIX domain sockets
Review Request: perl-Log-Log4perl-Appender-Socket-UNIX - Log4perl appender fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 05:29 EDT by Jan Holcapek
Modified: 2016-02-02 00:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 02:25:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Holcapek 2015-09-16 05:29:54 EDT
Spec URL: https://raw.githubusercontent.com/holcapek/perl-Log-Log4perl-Appender-Socket-UNIX/master/perl-Log-Log4perl-Appender-Socket-UNIX.spec
SRPM URL: https://github.com/holcapek/perl-Log-Log4perl-Appender-Socket-UNIX/raw/master/perl-Log-Log4perl-Appender-Socket-UNIX-1.04-1.fc21.src.rpm
Description: This is a simple appender for writing to a unix domain socket. It relies on Socket and only logs to an existing socket.
Fedora Account System Username: holcapek
Comment 1 Petr Šabata 2015-09-16 06:14:24 EDT
I've mentioned some of these things in your other package review already.  Well, here we go.

* The package doesn't even build in mock.  Seriously?

* Missing some build deps:
  - perl, called in the spec
  - perl(IO::Handle), lib/Log/Log4perl/Appender/Socket/UNIX.pm:10
  - perl(Log::Log4perl::Appender), lib/Log/Log4perl/Appender/Socket/UNIX.pm:5
  - perl(Socket), lib/Log/Log4perl/Appender/Socket/UNIX.pm:11
  - perl(strict), Build.PL:2
  - perl(Test::More), t/1_load.t:16
  - perl(warnings), Build.PL:2

* Optional but recommended for build consistency:
  - perl(Test::NoWarnings), t/1_load.t:8

* Missing a runtime dependency on Log::Log4perl::Appender;
  this won't get autodetected.

* Drop %defattr, it's no longer required.

* The Group tag is optional and can be dropped.

* License texts need to be packaged using the %license macro.

* Consider packaging the `examples' directory as documentation.

* The README file is useless in this case.  Drop it.
Comment 2 Jan Holcapek 2015-09-16 18:44:51 EDT
(In reply to Petr Šabata from comment #1)
> * The package doesn't even build in mock.  Seriously?

Now it does. Sorry, didn't know of [1] till today.

[1] https://fedoraproject.org/wiki/Using_Mock_to_test_package_builds

> * Missing some build deps:
>   - perl, called in the spec
>   - perl(IO::Handle), lib/Log/Log4perl/Appender/Socket/UNIX.pm:10
>   - perl(Log::Log4perl::Appender), lib/Log/Log4perl/Appender/Socket/UNIX.pm:5
>   - perl(Socket), lib/Log/Log4perl/Appender/Socket/UNIX.pm:11
>   - perl(strict), Build.PL:2
>   - perl(Test::More), t/1_load.t:16
>   - perl(warnings), Build.PL:2

Fixed. But honestly, I was trusting cpanspec to figure that out. How did you found about these build deps? (Well, I can simply look into and grep the code for use-es and require-s, but I guess this could be (semi)automated somehow?)

> * Optional but recommended for build consistency:
>   - perl(Test::NoWarnings), t/1_load.t:8

Fixed.

> * Missing a runtime dependency on Log::Log4perl::Appender;
>   this won't get autodetected.

Fixed.

> * Drop %defattr, it's no longer required.

Dropped.

> * The Group tag is optional and can be dropped.

Dropped.

> * License texts need to be packaged using the %license macro.

Fixed. Another news for me, thanks. However, rpmlint complains upon the rpm:

perl-Log-Log4perl-Appender-Socket-UNIX.noarch: E: incorrect-fsf-address /usr/share/licenses/perl-Log-Log4perl-Appender-Socket-UNIX/LICENSE



> * Consider packaging the `examples' directory as documentation.

FIncluded.

> * The README file is useless in this case.  Drop it.

Dropped.

Spec URL: https://github.com/holcapek/perl-Log-Log4perl-Appender-Socket-UNIX/blob/master/perl-Log-Log4perl-Appender-Socket-UNIX.spec
SRPM URL: https://github.com/holcapek/perl-Log-Log4perl-Appender-Socket-UNIX/raw/master/perl-Log-Log4perl-Appender-Socket-UNIX-1.04-2.fc21.src.rpm
Comment 3 Jan Holcapek 2015-09-17 03:21:20 EDT
(In reply to Jan Holcapek from comment #2)
> Fixed. But honestly, I was trusting cpanspec to figure that out. How did you
> found about these build deps? (Well, I can simply look into and grep the
> code for use-es and require-s, but I guess this could be (semi)automated
> somehow?)

Oh, I've just fell in love with fedora-review tool :-)
Comment 4 Petr Šabata 2015-09-17 03:37:08 EDT
(In reply to Jan Holcapek from comment #2)
> (In reply to Petr Šabata from comment #1)
> > * The package doesn't even build in mock.  Seriously?
> 
> Now it does. Sorry, didn't know of [1] till today.
> 
> [1] https://fedoraproject.org/wiki/Using_Mock_to_test_package_builds

Ack.

One always learns :)

You can also test whether your package builds in koji which provides very similar yet slightly different environment than mock (e.g. no network access).

$ koji build --scratch rawhide package.src.rpm

> > * Missing some build deps:
> >   - perl, called in the spec
> >   - perl(IO::Handle), lib/Log/Log4perl/Appender/Socket/UNIX.pm:10
> >   - perl(Log::Log4perl::Appender), lib/Log/Log4perl/Appender/Socket/UNIX.pm:5
> >   - perl(Socket), lib/Log/Log4perl/Appender/Socket/UNIX.pm:11
> >   - perl(strict), Build.PL:2
> >   - perl(Test::More), t/1_load.t:16
> >   - perl(warnings), Build.PL:2
> 
> Fixed. But honestly, I was trusting cpanspec to figure that out. How did you
> found about these build deps? (Well, I can simply look into and grep the
> code for use-es and require-s, but I guess this could be (semi)automated
> somehow?)

cpanspec only reads upstream provided metadata which is almost always incorrect.

Indeed, to be sure, you simply need to read the code.  Remember there are many ways to load a module in perl, not just use and require statements.

You can also use this tool, `tangerine', which helps a great deal with this task.

$ tangerine Build.PL lib/ t/

> > * Optional but recommended for build consistency:
> >   - perl(Test::NoWarnings), t/1_load.t:8
> 
> Fixed.

Ack.
 
> > * Missing a runtime dependency on Log::Log4perl::Appender;
> >   this won't get autodetected.
> 
> Fixed.

Ack.

> > * Drop %defattr, it's no longer required.
> 
> Dropped.

Ack.

> > * The Group tag is optional and can be dropped.
> 
> Dropped.

Ack.

> > * License texts need to be packaged using the %license macro.
> 
> Fixed. Another news for me, thanks. However, rpmlint complains upon the rpm:
> 
> perl-Log-Log4perl-Appender-Socket-UNIX.noarch: E: incorrect-fsf-address
> /usr/share/licenses/perl-Log-Log4perl-Appender-Socket-UNIX/LICENSE

That's safe to ignore for packaging purposes but it's a good idea to let upstream know they distribute an old copy of the license text.

> > * Consider packaging the `examples' directory as documentation.
> 
> FIncluded.

Ack.


> > * The README file is useless in this case.  Drop it.
> 
> Dropped.

Ack.
Comment 5 Petr Šabata 2015-09-17 03:38:05 EDT
(In reply to Jan Holcapek from comment #3)
> (In reply to Jan Holcapek from comment #2)
> > Fixed. But honestly, I was trusting cpanspec to figure that out. How did you
> > found about these build deps? (Well, I can simply look into and grep the
> > code for use-es and require-s, but I guess this could be (semi)automated
> > somehow?)
> 
> Oh, I've just fell in love with fedora-review tool :-)

It's a popular tool but don't just blindly trust everything it says :)
Comment 6 Jan Holcapek 2015-09-25 02:54:35 EDT
New Package SCM Request
=======================
Package Name: perl-Log-Log4perl-Appender-Socket-UNIX
Short Description: Log4perl appender for writing to UNIX domain sockets
Upstream URL: http://search.cpan.org/dist/Log-Log4perl-Appender-Socket-UNIX/
Owners: holcapek
Branches: f21 f22 f23 el6 epel7
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2015-09-25 06:31:44 EDT
Git done (by process-git-requests).
Comment 8 Petr Šabata 2015-11-25 08:46:08 EST
Any progress here?  Package built, updates issued?  Can this be closed?
Comment 9 Fedora Update System 2015-12-02 09:32:53 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-89924f9030
Comment 10 Fedora Update System 2015-12-02 09:32:57 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d82aa5522
Comment 11 Fedora Update System 2015-12-02 23:20:25 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Log-Log4perl-Appender-Socket-UNIX'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f871afba8b
Comment 12 Fedora Update System 2015-12-03 04:06:56 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0e5bd10e03
Comment 13 Fedora Update System 2015-12-03 11:01:44 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Log-Log4perl-Appender-Socket-UNIX'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d82aa5522
Comment 14 Fedora Update System 2015-12-03 20:36:43 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Log-Log4perl-Appender-Socket-UNIX'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-89924f9030
Comment 15 Fedora Update System 2015-12-03 21:19:36 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Log-Log4perl-Appender-Socket-UNIX'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0e5bd10e03
Comment 16 Fedora Update System 2016-02-01 17:55:31 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-01 18:25:08 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-01 19:54:55 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-02-02 00:50:33 EST
perl-Log-Log4perl-Appender-Socket-UNIX-1.04-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.